# For svn version: do
# $ svn checkout http://opensvn.csie.org/wallpapoz/trunk wallpapoz-%%{mainver}
# $ tar -cjf %%{name}-%%{mainver}%%{?svnver:-svn%%svnver}.tar.bz2 %%{name}-%%{mainver}/

%define         srcurl          http://wallpapoz.akbarhome.com/
%define         icondir         %{_datadir}/icons/hicolor/128x128/apps

%define         mainver         0.4
%define         betaver         rc2
%define         fedorarel       5

%define         rel             %{?betaver:0.}%{fedorarel}%{?betaver:.%betaver}

Name:           wallpapoz
Version:        %{mainver}
Release:        %{rel}%{?dist}
Summary:        Gnome Multi Backgrounds and Wallpapers Configuration Tool

Group:          User Interface/Desktops
License:        GPL
URL:            %{srcurl}
Source0:        %{srcurl}files/%{name}-%{mainver}%{?betaver:%betaver}.tar.bz2
Patch0:         wallpapoz-0.4rc2-ignore-X.patch
Patch1:         wallpapoz-ja.po.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-devel
BuildRequires:  pygtk2-libglade
BuildRequires:  python-imaging
BuildRequires:  gnome-python2
Requires:       pygtk2-libglade
Requires:       python-imaging
Requires:       gnome-python2

%description
This tool enables your Gnome desktop to have different 
wallpapers for different workspaces or virtual desktops.

%prep
%setup -q
%patch0 -p1 -b .X

pushd share/locale/ja/LC_MESSAGES
%patch1 -p0 -b .pofix
msgfmt --verbose -o wallpapoz.mo wallpapoz.po
popd

%{__sed} -i.dos -e 's|\r||g' COPYING
touch -r COPYING.dos COPYING

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_prefix}

%{__python} setup.py install --installdir=$RPM_BUILD_ROOT%{_prefix}

desktop-file-install \
   --vendor fedora \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*%{name}

%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/

%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Tue Apr 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.rc2
- 0.4 rc2

* Tue Apr 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.4.svn55
- Add Japanese xml files (upstream will merge this)

* Wed Apr 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn55
- svn 55

* Thu Apr  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn50
- Update to 0.4 pre svn50
- Add Japanese support (upstream will merge this)

* Thu Oct 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-1
- Initial packaging, importing to Fedora extras.
